# server.py
from fastapi import FastAPI, File, UploadFile, Depends, HTTPException
from sqlalchemy.orm import Session
from fastapi.responses import JSONResponse
import pandas as pd
from database import SessionLocal, FileContent, Base, engine

app = FastAPI()

def get_db():
    db = SessionLocal()
    try:
        yield db
    finally:
        db.close()

# async go_ml(content):
# # your ML code here]

#     return "ML result"

@app.post("/uploadfile/")
async def create_upload_file(file: UploadFile = File(...), db: Session = Depends(get_db)):
    content = await file.read()
    # go_ml(content)
    db_file = FileContent(filename=file.filename, content=content.decode('utf-8'))
    db.add(db_file)
    db.commit()
    db.refresh(db_file)
    return JSONResponse(content={"filename": file.filename, "content": db_file.content})

@app.get("/files/")
def read_files(skip: int = 0, limit: int = 10, db: Session = Depends(get_db)):
    files = db.query(FileContent).offset(skip).limit(limit).all()
    return files
